# -*- coding: utf-8 -*-
import pymel.core as pm
from mtoa.ui.ae.shaderTemplate import ShaderAETemplate

class AEaiFogTemplate(ShaderAETemplate):
    def setup(self):
        self.addSwatch()
        self.beginScrollLayout()
        
        self.beginLayout('雾属性', collapse=False)
        self.addControl('color', label='颜色')
        self.addControl('distance', label='距离')
        self.addControl('height', label='高度')
        self.addSeparator()
        self.addControl('groundNormal', label='标准地面')
        self.addControl('groundPoint', label='地面Point')
        self.endLayout()
        
        pm.mel.AEdependNodeTemplate(self.nodeName)

        self.addExtraControls()
        self.endScrollLayout()

